<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="style.css">
    <style> @import url('https://fonts.googleapis.com/css2?family=Mochiy+Pop+P+One&display=swap');</style> 
    <title>IMC</title>
</head>
<body>
        <header><img id="icon" src="icone.svg" alt="icon of the website">
        <h2>Imc calculator</h2>
        </header>
        <div class="cla">
            <form method="POST">
                <div class="height">
                <label for="taille"> Enter your height (m) : </label>
                <input type="number" name="height" id="myHeight">
                </div>
                <div class="weight">
                <label for="weight"> Enter your weight : </label>
                <input type="number" name="weight" id="myWeight">
                </div>
                <input onclick="getValue()" type="submit" value="Calculate" id="submited">
            </form>
            <h5></h5>
            <div id="displayImc">
                
            </div>
        </div>
        <script>
             function getValue(){
                 //getting the value of user input
                let w = document.getElementById('myWeight').value;
                let h = document.getElementById('myHeight').value;
                //calculate the im formula
                const imc = w / h ** 2;
                //inserting the value into the page
                let display = document.getElementById('displayImc');
               let v = document.querySelector('h5');

                v.textContent = "Your imc equal : " + imc.toFixed(2);
                
                //condition
               
                if(imc <= 16){
                    display.innerHTML ='<p style="color:#72D3ED">You are in situation of Severe thinness</p>'               
                }else if(imc <= 16.99) {
                    display.innerHTML = '<p style="color:#77F7F2">You are in situation of moderate slimming</p>'
                }else if(imc <= 18.49) {
                    display.innerHTML = '<p style="color:#77E0BE">You are in situation of light slimming</p>'
                }else if(imc <= 24.99) {
                    display.innerHTML = '<p style="color:#82BD11">You are in situation of normal weight</p>'
              }
                else if(imc <= 25) {
                    display.innerHTML = '<p style="color:#FFBD11">You are in situation of overweight</p>'
               }
                else if(imc <= 30) {
                    display.innerHTML = '<p style="color:#FF4811">You are in situation of mild obesity</p>'
               }
                else if(imc <= 35) {
                    display.innerHTML = '<p style="color:#FF0011">You are in situation of severe obesity</p>'
               }else if(imc <= 40){
                    display.innerHTML = '<p style="color:#A60011">You are in situation of morbidly obesity</p>'
                }
            }
        </script>
</body>
</html>